Bug 482863 - Review Request: perl-MooseX-Daemonize - Role for daemonizing your Moose based application
Review Request: perl-MooseX-Daemonize - Role for daemonizing your Moose base...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 482856
  Show dependency treegraph
 
Reported: 2009-01-28 11:12 EST by Allisson Azevedo
Modified: 2013-05-10 09:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 08:13:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-28 11:12:19 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Daemonize/perl-MooseX-Daemonize.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Daemonize/perl-MooseX-Daemonize-0.08-1.fc10.src.rpm

Description: Often you want to write a persistent daemon that has a pid file, and responds 
appropriately to Signals. This module provides a set of basic roles as an 
infrastructure to do that.
Comment 1 Parag AN(पराग) 2009-01-29 00:13:02 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1090309
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
24ff349f0e2e09ca89e8ecbc73b0dc65  MooseX-Daemonize-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave 
All tests successful.
Files=9, Tests=82, 18 wallclock secs ( 0.06 usr  0.02 sys +  3.84 cusr  0.25 csys =  4.17 CPU)
+ Package perl-MooseX-Daemonize-0.08-1.fc11 =>
  Provides: perl(MooseX::Daemonize) = 0.08 perl(MooseX::Daemonize::Core) = 0.01 perl(MooseX::Daemonize::Pid) = 0.01 perl(MooseX::Daemonize::Pid::File) = 0.01 perl(MooseX::Daemonize::WithPidFile) = 0.01 perl(Test::MooseX::Daemonize) = 0.03 perl(Test::MooseX::Daemonize::Testable)
Requires: perl(Moose) perl(Moose::Role) perl(Moose::Util::TypeConstraints) perl(MooseX::Daemonize::Pid::File) perl(MooseX::Getopt) perl(MooseX::Getopt::OptionTypeMap) perl(MooseX::Types::Path::Class) perl(POSIX) perl(Sub::Exporter) perl(Test::Builder) perl(strict)

APPROVED.
Comment 2 Parag AN(पराग) 2009-01-29 00:39:37 EST
Also, make sure to remove OPTIMIZE="$RPM_OPT_FLAGS" from %build as its not needed for this noarch kind of package.
Comment 3 Parag AN(पराग) 2009-01-29 00:48:37 EST
Can you please resubmit this package using cpanspec created SPEC file?
Comment 5 Parag AN(पराग) 2009-01-30 01:12:18 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1092737
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
24ff349f0e2e09ca89e8ecbc73b0dc65  MooseX-Daemonize-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=9, Tests=82, 15 wallclock secs ( 0.01 usr  0.01 sys +  1.91 cusr  0.26 csys =  2.19 CPU)
+ Package  perl-MooseX-Daemonize-0.08-2.fc11 =>
 Provides: perl(MooseX::Daemonize) = 0.08 perl(MooseX::Daemonize::Core) = 0.01 perl(MooseX::Daemonize::Pid) = 0.01 perl(MooseX::Daemonize::Pid::File) = 0.01 perl(MooseX::Daemonize::WithPidFile) = 0.01 perl(Test::MooseX::Daemonize) = 0.03 perl(Test::MooseX::Daemonize::Testable)

 Requires: perl(Moose) perl(Moose::Role) perl(Moose::Util::TypeConstraints) perl(MooseX::Daemonize::Pid::File) perl(MooseX::Getopt) perl(MooseX::Getopt::OptionTypeMap) perl(MooseX::Types::Path::Class) perl(POSIX) perl(Sub::Exporter) perl(Test::Builder) perl(strict)

APPROVED.
Comment 6 Allisson Azevedo 2009-01-30 07:23:05 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Daemonize
Short Description: Role for daemonizing your Moose based application
Owners: allisson
Branches: F-9 F-10
Comment 7 Kevin Fenzi 2009-02-01 13:40:33 EST
cvs done.
Comment 8 Parag AN(पराग) 2009-02-05 08:05:07 EST
is this built?
Comment 9 Allisson Azevedo 2009-02-05 08:13:48 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=7616
	
Sorry, I forgot to close.
Comment 10 Iain Arnell 2012-01-15 04:19:28 EST
Package Change Request
======================
Package Name: perl-MooseX-Daemonize
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 11 Gwyn Ciesla 2012-01-15 17:11:27 EST
Done.
Comment 12 Andrea Veri 2013-05-10 09:01:22 EDT
Package Change Request
======================
Package Name: perl-MooseX-Daemonize
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 13 Gwyn Ciesla 2013-05-10 09:03:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.